AQEMU is a graphical frontend for QEMU based virtual machines.


AQEMU compiling and running Linux, BSD and Windows!
(Windows support in development stage)

AQEMU Minimal Version Dependencies:
 * Qt >= 5.X
 * CMake >= 3.1.0
 * QEMU >= 2.0.0 (using a recent version recommended)
 * GCC >= 4.8.1 (MinGW in Windows)


!!! ATTENTION READ THIS FIRST !!!

In AQEMU 0.7 support for an "Embedded VNC Display" was added.
This is an experimental feature, with many unfixed bugs!

When you upgrade from version 0.5 or above, simply
click "Apply" for each VM to keep it in the new version.

Installation now verifies the existence of previous versions of AQEMU
and removes them before installing (If you didn't install AQEMU in /usr/share/aqemu
or /usr/share/apps/aqemu, you will have to delete the folder with the
resources of the last AQEMU version manually!)


INSTALLATION (For Unix):

 1. Extract AQEMU source code.

 2. `cd' to AQEMU source directory.

 3. Configure:

    -DCMAKE_INSTALL_PREFIX = Path to installation directory (Default is: /usr/local)
        For example, `cmake -DCMAKE_INSTALL_PREFIX=/usr/local/' this install AQEMU binary
        in /usr/local/bin and install data in /usr/local/share/aqemu

    -DWITHOUT_EMBEDDED_DISPLAY = on | off (Default is: off)
        To build without support Embedded VNC Display.

    -DDEBUG = on | off (Default is: off)
        To build in debug mode run: `cmake -DDEBUG=on'

    -DINSTALL_MAN = on | off (Default is: on)
        Install AQEMU man page file.

    -DMAN_PAGE_COMPRESSOR = gzip | bzip2 | lzma | off (Default is: off)
        Set compressor for AQEMU man page file.

    Example:
        cmake -DCMAKE_INSTALL_PREFIX=/usr -DMAN_PAGE_COMPRESSOR=bzip2

 4. type `make'

 5. type `sudo make install'

 6. Installation complete! To start AQEMU type: `aqemu' in shell.

Note:
I'm not the original author of this software, all credits go to him.
But as it looks like as if he has abandoned this project I've taken
the freedom to maintain it on my github account in the meantime.
You can file issues on github.com/tobimensch/aqemu . I'll be happy
to receive pull requests. I'm not promising to fix each and every issue,
help with that (and further development) would be very welcome.

